<template>
  <div align="center">
    <v-simple-table v-if="items.length > 0">
      <template v-slot:default>
        <thead>
          <tr>
            <th class="text-left">ช่องล็อกเกอร์</th>
            <th class="text-left">รายได้รวม</th>
            <th class="text-center">รายละเอียด</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) in items" :key="index">
            <td>{{ item.lockerRoomCode }}</td>

            <td>{{ item.total }} บาท</td>
            <td class="text-center">
              <v-tooltip left>
                <template v-slot:activator="{ on, attrs }">
                  <v-icon
                    color="info"
                    class="mr-2"
                    v-bind="attrs"
                    v-on="on"
                    large
                    @click="showDialog(item)"
                  >
                    timeline
                  </v-icon>
                </template>
                <span>ดูรายได้ของช่องล็อกเกอร์ {{ item.lockerRoomCode }}</span>
              </v-tooltip>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <h2 v-else v-show="!loading">ไม่มีข้อมูล</h2>
    <br />
    <Dialog
      :propDialog="dialog"
      :propObj="obj"
      :paramObj="paramObj"
      :close.sync="dialog"
      :propHeader="propHeader"
    />
  </div>
</template>

<script>
import Dialog from "./Dialog";
export default {
  props: ["items", "loading", "propHeader", "paramObj"],
  data() {
    return {
      role: this.$store.getters["auth/roleUser"],
      obj: {},
      dialog: false,
    };
  },
  components: { Dialog },
  methods: {
    showDialog(item) {
      this.dialog = true;
      let arr = [];
      for (let i in item.result) {
        let data = {
          title: item.result[i],
          result: parseFloat(item.incomeResult[i]).toFixed(1),
        };
        arr.push(data);
      }
      item.incomes = arr;
      this.obj = Object.assign({}, item);
    },
    showIncome(i) {
      this.obj = Object.assign({}, i);
      this.$router.push({
        path: `/income-lockerroom`,
        query: { payload: this.obj },
      });
    },
  },
};
</script>

<style>
</style>